# setup.py
# Copyright 2017 Roger Marsh
# Licence: See LICENCE (BSD licence)

from setuptools import setup

if __name__ == '__main__':

    long_description = open('README').read()

    setup(
        name='emailextract',
        version='0.3',
        description="Extract text from emails",
        author='Roger Marsh',
        author_email='roger.marsh@solentware.co.uk',
        url='http://www.solentware.co.uk',
        package_dir={'emailextract':''},
        packages=[
            'emailextract',
            'emailextract.core', 'emailextract.gui', 'emailextract.help',
            'emailextract.about',
            ],
        package_data={
            'emailextract.about': ['LICENCE', 'CONTACT'],
            'emailextract.help': ['*.txt'],
            },
        long_description=long_description,
        license='BSD',
        classifiers=[
            'License :: OSI Approved :: BSD License',
            'Programming Language :: Python :: 3.4',
            'Programming Language :: Python :: 3.5',
            'Programming Language :: Python :: 3.6',
            'Operating System :: OS Independent',
            'Topic :: Other/Nonlisted Topic',
            #'Topic :: Text Processing',
            #'Topic :: Communications :: Email',
            #'Topic :: Communications :: Email :: Email Client (MUA)',
            'Intended Audience :: End Users/Desktop',
            'Intended Audience :: Developers',
            'Development Status :: 3 - Alpha',
            ],
        install_requires=['rmappsup==1.0', 'gridsup==1.0.1'],
        dependency_links=[
            'http://solentware.co.uk/files/rmappsup-1.0.tar.gz',
            'http://solentware.co.uk/files/gridsup-1.0.1.tar.gz',
            ],
        )
